# This file created by conda-build 3.17.8
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/rope-0.12.0-python_3.7-on-linux_64, last modified Mon Feb 25 23:14:36 2019
# ------------------------------------------------

package:
    name: rope
    version: 0.12.0
source:
    sha256: 031eb54b3eeec89f4304ede816995ed2b93a21e6fba16bd02aff10a0d6c257b7
    url: https://pypi.io/packages/source/r/rope/rope-0.12.0.tar.gz
build:
    number: '0'
    script: /tmp/build/80754af9/rope_1551148649974/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
        -m pip install . --no-deps --ignore-installed --no-cache-dir -vvv
    string: py37_0
requirements:
    host:
        - ca-certificates 2019.1.23 0
        - certifi 2018.11.29 py37_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 8.2.0 hdf63c60_1
        - libstdcxx-ng 8.2.0 hdf63c60_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1a h7b6447c_0
        - pip 19.0.1 py37_0
        - python 3.7.2 h0371630_0
        - readline 7.0 h7b6447c_5
        - setuptools 40.8.0 py37_0
        - sqlite 3.26.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - wheel 0.32.3 py37_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
    run:
        - python >=3.7,<3.8.0a0
test:
    imports:
        - rope
        - rope.base
        - rope.base.oi
        - rope.base.oi.type_hinting
        - rope.base.oi.type_hinting.providers
        - rope.base.oi.type_hinting.resolvers
        - rope.base.utils
        - rope.contrib
        - rope.refactor
        - rope.refactor.importutils
about:
    dev_url: https://github.com/python-rope/rope
    doc_source_url: https://github.com/python-rope/rope/tree/master/docs
    doc_url: https://pypi.python.org/pypi/rope
    home: https://github.com/python-rope/rope
    license: GPL 2.0
    license_family: GPL2
    license_file: COPYING
    summary: A python refactoring library...
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jjhelmus
        - pmlandwehr
